The Vigil@nce team watches public vulnerabilities impacting your computers, and then offers security solutions, a vigilance database and tools to fix them.

Vulnerability of libpng: NULL pointer dereference via png_set_text_2

Synthesis of the vulnerability 

An attacker can force a NULL pointer to be dereferenced via png_set_text_2() of libpng, in order to trigger a denial of service.
Impacted products: VNX Operating Environment, VNX Series, Fedora, Notes by IBM, libpng, openSUSE Leap, Solaris, Slackware, Ubuntu.
Severity of this bulletin: 2/4.
Creation date: 29/12/2016.
Références of this threat: 2002676, bulletinjul2017, CVE-2016-10087, DSA-2020-030, FEDORA-2016-0eb1d4ad19, FEDORA-2016-12c22499dd, FEDORA-2016-1a7e14d084, FEDORA-2016-5c8dce58c9, FEDORA-2016-a4b06a036b, FEDORA-2016-aaf771b7a7, FEDORA-2017-66fd940572, FEDORA-2017-84bc8ac268, FEDORA-2017-bad9942e42, FEDORA-2017-cf1944f480, openSUSE-SU-2017:0937-1, openSUSE-SU-2017:0942-1, openSUSE-SU-2017:1037-1, SSA:2016-365-01, USN-3712-1, USN-3712-2, VIGILANCE-VUL-21483.

Description of the vulnerability 

An attacker can force a NULL pointer to be dereferenced via png_set_text_2() of libpng, in order to trigger a denial of service.
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

This weakness bulletin impacts software or systems such as VNX Operating Environment, VNX Series, Fedora, Notes by IBM, libpng, openSUSE Leap, Solaris, Slackware, Ubuntu.

Our Vigil@nce team determined that the severity of this computer weakness is medium.

The trust level is of type confirmed by the editor, with an origin of document.

An attacker with a expert ability can exploit this vulnerability announce.

Solutions for this threat 

libpng: version 1.6.27.
The version 1.6.27 is fixed:
  ftp://ftp.simplesystems.org/pub/png/src
  http://libpng.sf.net/

libpng: version 1.5.28.
The version 1.5.28 is fixed:
  ftp://ftp.simplesystems.org/pub/png/src
  http://libpng.sf.net/

libpng: version 1.4.20.
The version 1.4.20 is fixed:
  http://www.libpng.org/pub/png/libpng.html

libpng: version 1.2.57.
The version 1.2.57 is fixed:
  ftp://ftp.simplesystems.org/pub/png/src
  http://libpng.sf.net/

libpng: version 1.0.67.
The version 1.0.67 is fixed:
  http://www.libpng.org/pub/png/libpng.html

Dell EMC VNXe3200: version 3.1.11.10003441.
The version 3.1.11.10003441 is fixed:
  https://www.dell.com/support/

Fedora: new libpng12 packages.
New packages are available:
  Fedora 24: libpng12 1.2.57-1.fc24
  Fedora 25: libpng12 1.2.57-1.fc25

Fedora: new libpng15 packages.
New packages are available:
  Fedora 24: libpng15 1.5.28-1.fc24
  Fedora 25: libpng15 1.5.28-1.fc25

Fedora: new libpng packages.
New packages are available:
  Fedora 24: libpng 1.6.27-1.fc24, libpng10-1.0.67-1.fc24
  Fedora 25: libpng 1.6.27-1.fc25, libpng10-1.0.67-1.fc25

Fedora: new mingw-libpng packages.
New packages are available:
  Fedora 25: mingw-libpng 1.6.27-1.fc25
  Fedora 24: mingw-libpng 1.6.27-1.fc24

IBM Notes: patch for libpng.
A patch is indicated in information sources.

openSUSE Leap: new libpng12 packages.
New packages are available:
  openSUSE Leap 42.1: libpng12 0-1.2.50-11.1
  openSUSE Leap 42.2: libpng12 0-1.2.50-10.3.1

openSUSE Leap: new libpng15 packages.
New packages are available:
  openSUSE Leap 42.1: libpng15 15-1.5.22-7.1
  openSUSE Leap 42.2: libpng15 15-1.5.22-5.3.1

openSUSE Leap: new libpng16 packages.
New packages are available:
  openSUSE Leap 42.1: libpng16 16-1.6.8-10.1
  openSUSE Leap 42.2: libpng16 16-1.6.8-9.3.1

Oracle Solaris: patch for third party software of July 2017 v1.
A patch is available:
  https://support.oracle.com/rs?type=doc&id=1448883.1

Slackware: new libpng packages.
New packages are available:
  Slackware 13.0: libpng 1.2.57-*-1_slack13.0
  Slackware 13.1: libpng 1.4.20-*-1_slack13.1
  Slackware 13.37: libpng 1.4.20-*-1_slack13.37
  Slackware 14.0: libpng 1.4.20-*-1_slack14.0
  Slackware 14.1: libpng 1.4.20-*-1_slack14.1
  Slackware 14.2: libpng 1.6.27-*-1_slack14.2

Ubuntu: new libpng packages.
New packages are available:
  Ubuntu 18.04 LTS: libpng16-16 1.6.34-1ubuntu0.18.04.1
  Ubuntu 17.10: libpng16-16 1.6.34-1ubuntu0.17.10.1
  Ubuntu 16.04 LTS: libpng12-0 1.2.54-1ubuntu1.1
  Ubuntu 14.04 LTS: libpng12-0 1.2.50-1ubuntu2.14.04.3
  Ubuntu 12.04 ESM: libpng12-0 1.2.46-3ubuntu4.3
Full bulletin, software filtering, emails, fixes, ... (Request your free trial)

Computer vulnerabilities tracking service 

Vigil@nce provides a software vulnerabilities alert. The technology watch team tracks security threats targeting the computer system.